Bug 1211055 - Provide v4l-cx25840.fw that was in ivtv-firmware
Summary: Provide v4l-cx25840.fw that was in ivtv-firmware
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-12 14:48 UTC by Bruno Wolff III
Modified: 2015-06-17 13:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-17 13:26:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruno Wolff III 2015-04-12 14:48:43 UTC
Description of problem:
  file /lib/firmware/v4l-cx25840.fw from install of ivtv-firmware-2:20080701-26.noarch conflicts with file from package linux-firmware-20150410-46.gitec89525b.fc21.noarch

Comment 1 Nicolas Chauvet (kwizart) 2015-04-19 17:06:57 UTC
This package is in orphan but hasn't been blocked.
https://fedorahosted.org/rel-eng/ticket/6150

Comment 2 Josh Boyer 2015-04-20 00:47:48 UTC
Sigh.  I've already filed an update that removes the conflict from linux-firmware.  I guess I can add the files back.

Comment 3 Josh Boyer 2015-04-20 00:49:10 UTC
(In reply to Bruno Wolff III from comment #0)
> Description of problem:
>   file /lib/firmware/v4l-cx25840.fw from install of
> ivtv-firmware-2:20080701-26.noarch conflicts with file from package
> linux-firmware-20150410-46.gitec89525b.fc21.noarch

That linux-firmware package was only in updates testing, and that particular update was dropped because of this very conflict.

Comment 4 Josh Boyer 2015-05-01 19:22:59 UTC
OK, I added the file back to linux-firmware.  The rest of the firmware that was in ivtv-firmware isn't in the upstream linux-firmware repo so it remains unpackaged.

Comment 5 Nils Philippsen 2015-05-03 12:19:14 UTC
Shouldn't linux-firmware then obsolete ivtv-firmware? Otherwise upgrades from F-21 and earlier might run into this conflict.

Comment 6 Josh Boyer 2015-05-04 13:08:31 UTC
(In reply to Nils Philippsen from comment #5)
> Shouldn't linux-firmware then obsolete ivtv-firmware? Otherwise upgrades
> from F-21 and earlier might run into this conflict.

It's an option, but I'm not sure it is the correct one.  The linux-firmware package is only providing a single file out of all the files that ivtv-firmware provided.  Is it correct to Obsolete a package when you're only providing part of what the older one shipped?

Comment 7 Nils Philippsen 2015-05-05 12:04:48 UTC
(In reply to Josh Boyer from comment #6)
> (In reply to Nils Philippsen from comment #5)
> > Shouldn't linux-firmware then obsolete ivtv-firmware? Otherwise upgrades
> > from F-21 and earlier might run into this conflict.
> 
> It's an option, but I'm not sure it is the correct one.  The linux-firmware
> package is only providing a single file out of all the files that
> ivtv-firmware provided.  Is it correct to Obsolete a package when you're
> only providing part of what the older one shipped?

With the ivtv-firmware being blocked from F22+, the alternative of removing the conflicting file from it won't work. Obsoleting ivtv-firmware at least makes the upgrade smooth :). Or is there a different way to make upgrades go smoothly?

Comment 8 Josh Boyer 2015-05-06 18:15:27 UTC
OK, I obsoleted ivtv-firmware.  Thanks for catching this.

Comment 9 Gilles J. Seguin 2015-05-31 05:55:03 UTC
but you said in Comment #6

> The linux-firmware package is only providing a single file out of all the files
> that ivtv-firmware provided.

v4l-cx2341x-enc.fw
v4l-cx2341x-dec.fw
v4l-cx2341x-init.mpg

added to linux-firmware-20150521-52.git3161bfa4.fc22.noarch.rpm

Comment 10 Gilles J. Seguin 2015-06-17 12:35:19 UTC
Can we have a revert until the unresponsive packager figure out how to add
the missing files, that is

v4l-cx2341x-enc.fw
v4l-cx2341x-dec.fw
v4l-cx2341x-init.mpg

https://bugzilla.redhat.com/show_bug.cgi?id=1211055#c9

v4l2-utils need to be required
v4l-utils removed

Comment 11 Josh Boyer 2015-06-17 13:26:36 UTC
(In reply to Gilles J. Seguin from comment #10)
> Can we have a revert until the unresponsive packager figure out how to add
> the missing files, that is

Which unresponsive maintainer?

> v4l-cx2341x-enc.fw
> v4l-cx2341x-dec.fw
> v4l-cx2341x-init.mpg
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1211055#c9
> 
> v4l2-utils need to be required
> v4l-utils removed

I'm not sure what you mean here.  I see you've opened bug 1232773 to deal with whatever you're trying to accomplish anyway, so we'll work in that bug and close this one out.


Note You need to log in before you can comment on or make changes to this bug.